Subject: Re: bug#5294: 23.1; unload-feature disable minor-mode

From: Kevin Ryde <[email-masked]>
Date: Mon, 04 Jan 2010 10:04:48 +1100

Juanma Barranquero <[email-masked]> writes:
>
> advising ... `unload-feature'

Sounds likely.  Though I wonder that an add-on might want to slip in
after the FOO-unload-function has reported whether the "normal" unload
actions should be performed.

> confusing ... not to mention fragile

Hmm, ah dear, yep.

> perhaps `unload-feature-functions'

One thing I was contemplating is whether defadvice might automatically
unload, and what advice.el or the defadvice macro might do to make that
happen.  I'll start another bug for that.

Mind you, I wonder if unload-feature is slightly doomed in general,
ie. unless a given package has thought rather carefully about the
consequences!  :-)